Bug 23506 - Sound material type displays wrong icon in OPAC/Staff details
Summary: Sound material type displays wrong icon in OPAC/Staff details
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-08-26 18:43 UTC by Lucas Gass
Modified: 2019-12-12 16:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23506: Sound material type displays wrong icon in OPAC details (1.15 KB, patch)
2019-08-26 23:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23506: Sound material type displays wrong icon in OPAC/Staff details (2.67 KB, patch)
2019-09-25 22:52 UTC, Lucas Gass
Details | Diff | Splinter Review
display correct icon in staff client and OPAC (2.06 KB, patch)
2019-10-29 17:42 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23506: Display correct icon in staff client and OPAC (2.65 KB, patch)
2019-11-02 21:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-08-26 18:43:49 UTC
When the leader6 is set to 'i' the MARC21slim2intranetDetail.xsl attempts to display 'SO.png' which does not exist.
Comment 1 Lucas Gass 2019-08-26 18:49:04 UTC
Correction:

MARC21slim2OPACDetail.xsl NOT MARC21slim2intranetDetail.xsl
Comment 2 Lucas Gass 2019-08-26 23:25:23 UTC
Created attachment 92478 [details] [review]
Bug 23506: Sound material type displays wrong icon in OPAC details

TEST PLAN:
1. Find or create a record with an 'i' as the 6th position in the 000 leader.
2. Do to the OPAC detail page for an item in that record.
3. Notice the material type icon does not display because SO.png does not exist.
4. Apply patch
5. Look at the opac detail page again after clearning the browser cache.
6. The material type icon now displays (MU.png), this is the same icon used on the OPAC results page.
Comment 3 Lucas Gass 2019-09-25 22:52:55 UTC
Created attachment 93162 [details] [review]
Bug 23506: Sound material type displays wrong icon in OPAC/Staff details

TEST PLAN:
1. Find or create a record with an 'i' as the 6th position in the 000 leader.
2. Do to the OPAC detail page for an item in that record.
3. Notice the material type icon does not display because SO.png does not exist.
4. Apply patch
5. Look at the opac detail page again after clearning the browser cache.
6. The material type icon now displays (MU.png), this is the same icon used on the OPAC results page.
Comment 4 Katrin Fischer 2019-10-04 07:15:33 UTC
Hi Lucas, can you please fix staff as well? This only includes pictures for the OPAC (also, why do they need to be doubled up?)
Comment 5 Lucas Gass 2019-10-29 17:38:05 UTC
Kait,

When you say double up I assume on mean the presence of two .png's (SO.png and MU.png). I am going to instead use a single .png and direct both Music and Sound to that image.

I will also include both the staff and OPAC changes.
Comment 6 Lucas Gass 2019-10-29 17:42:17 UTC
Created attachment 94840 [details] [review]
display correct icon in staff client and OPAC

TEST PLAN:
1. Find or create a record with an 'i' as the 6th position in the 000 leader.
2. Do to the OPAC detail page and staff detail for an item in that record.
3. Notice the material type icon does not display because SO.png does not exist.
4. Apply patch and restart_all
5. Look at the opac detail and staff detail page again after clearning the browser cache.
6. The material type icon now displays (MU.png), this is the same icon used on the OPAC results page.
Comment 7 Katrin Fischer 2019-11-02 21:17:01 UTC
Created attachment 94973 [details] [review]
Bug 23506: Display correct icon in staff client and OPAC

When the leader6 is set to 'i' the MARC21slim2intranetDetail.xsl
attempts to display 'SO.png' which does not exist.

TEST PLAN:
1. Find or create a record with an 'i' as the 6th position in the 000 leader.
2. Do to the OPAC detail page and staff detail for an item in that record.
3. Notice the material type icon does not display because SO.png does not exist.
4. Apply patch and restart_all
5. Look at the opac detail and staff detail page again after clearning the browser cache.
6. The material type icon now displays (MU.png), this is the same icon used on the OPAC results page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-11-02 21:17:37 UTC
I fixed the Bug description and commit message. Moving to PQA as it's a really simple fix.
Comment 9 Martin Renvoize 2019-11-03 07:47:25 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Lucas Gass 2019-12-12 16:13:41 UTC
backported to 19.05.x for 19.05.06